Bug 1344902 - Failed to upgrade from v3.0.1.0 to v3.0.2.0
Summary: Failed to upgrade from v3.0.1.0 to v3.0.2.0
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: ---
Assignee: Jason DeTiberus
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-12 10:35 UTC by Anping Li
Modified: 2016-07-12 16:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-12 16:03:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
Upgrade output (217.14 KB, application/x-gzip)
2016-06-12 10:35 UTC, Anping Li
no flags Details

Description Anping Li 2016-06-12 10:35:47 UTC
Created attachment 1167114 [details]
Upgrade output

Description of problem:
Upgrade failed from v3.0.1.0 to v3.0.2.0

Version-Release number of selected component (if applicable):
ansible 2.0.2.0 /ansile 1.9.4
atomic-openshift-utils-3.2.1-1.git.0.b8d1b5e.el7

How reproducible:
always

Steps to Reproduce:
1) install OSE 3.0.1.0
2) upgrade to OSE 3.0.2.0 
    ansible-playbook -i config/hosts  /usr/share/ansible/openshift-ansible/playbooks/byo/openshift-cluster/upgrades/v3_0_minor/upgrade.yml  -vvvv|tee upgradev30minor.logs
Actual results:


Expected results:
TASK [setup] *******************************************************************
<host4master.example.com> ESTABLISH SSH CONNECTION FOR USER: root
<host4master.example.com>  SSH: EXEC ssh -C -vvv -o ControlMaster=auto -o ControlPersist=60s -o  KbdInteractiveAuthentication=no -o  PreferredAuthentications=gssapi-with-mic,gssapi-keyex,hostbased,publickey  -o PasswordAuthentication=no -o User=root -o ConnectTimeout=10 -o  ControlPath=/root/.ansible/cp/ansible-ssh-%h-%p-%r  host4master.example.com '/bin/sh -c '"'"'mkdir -p "` echo  $HOME/.ansible/tmp/ansible-tmp-1465716369.56-22865291159369 `"  && echo "` echo  $HOME/.ansible/tmp/ansible-tmp-1465716369.56-22865291159369 `"'"'"''
<host4master.example.com> PUT /tmp/tmpRzKxMa TO /root/.ansible/tmp/ansible-tmp-1465716369.56-22865291159369/setup
<host4master.example.com>  SSH: EXEC sftp -b - -C -vvv -o ControlMaster=auto -o ControlPersist=60s  -o KbdInteractiveAuthentication=no -o  PreferredAuthentications=gssapi-with-mic,gssapi-keyex,hostbased,publickey  -o PasswordAuthentication=no -o User=root -o ConnectTimeout=10 -o  ControlPath=/root/.ansible/cp/ansible-ssh-%h-%p-%r  '[host4master.example.com]'
<host4master.example.com> ESTABLISH SSH CONNECTION FOR USER: root
<host4master.example.com>  SSH: EXEC ssh -C -vvv -o ControlMaster=auto -o ControlPersist=60s -o  KbdInteractiveAuthentication=no -o  PreferredAuthentications=gssapi-with-mic,gssapi-keyex,hostbased,publickey  -o PasswordAuthentication=no -o User=root -o ConnectTimeout=10 -o  ControlPath=/root/.ansible/cp/ansible-ssh-%h-%p-%r -tt  host4master.example.com '/bin/sh -c '"'"'LANG=C LC_ALL=C LC_MESSAGES=C  /usr/bin/python  /root/.ansible/tmp/ansible-tmp-1465716369.56-22865291159369/setup; rm  -rf "/root/.ansible/tmp/ansible-tmp-1465716369.56-22865291159369/" >  /dev/null 2>&1'"'"''
ok: [host4master.example.com]

TASK [fail] ********************************************************************
task path: /usr/share/ansible/openshift-ansible/playbooks/common/openshift-cluster/upgrades/v3_0_minor/upgrade.yml:39
fatal:  [host4master.example.com]: FAILED! => {"failed": true, "msg": "The  conditional check '_new_version.stdout | version_compare('1.0.6','<')  or ( _new_version.stdout | version_compare('3.0','>=' and  _new_version.stdout | version_compare('3.0.2','<') )' failed. The  error was: template error while templating string: unexpected '}',  expected ')'. String: {% if _new_version.stdout |  version_compare('1.0.6','<') or ( _new_version.stdout |  version_compare('3.0','>=' and _new_version.stdout |  version_compare('3.0.2','<') ) %} True {% else %} False {% endif  %}\n\nThe error appears to have been in  '/usr/share/ansible/openshift-ansible/playbooks/common/openshift-cluster/upgrades/v3_0_minor/upgrade.yml':  line 39, column 5, but may\nbe elsewhere in the file depending on the  exact syntax problem.\n\nThe offending line appears to be:\n\n   tasks:\n  - fail:\n    ^ here\n"}

NO MORE HOSTS LEFT *************************************************************
         to retry, use: --limit  @/usr/share/ansible/openshift-ansible/playbooks/byo/openshift-cluster/upgrades/v3_0_minor/upgrade.retry

PLAY RECAP *********************************************************************
host4master.example.com    : ok=340  changed=22   unreachable=0    failed=1
host4node.example.com      : ok=96   changed=5    unreachable=0    failed=0
localhost                  : ok=22   changed=13   unreachable=0    failed=0
nfs.example.com            : ok=40   changed=0    unreachable=0    failed=0



Additional info:

Comment 1 Brenton Leanhardt 2016-06-14 15:11:51 UTC
We are now going to require that the version of openshift-ansible match either the version you are installing or the version you wish to upgrade to.


Note You need to log in before you can comment on or make changes to this bug.